#ifndef WOODY_H
# define WOODY_H

#include "../ft_printf/includes/ft_printf.h"
#include <stdbool.h> 
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <sys/mman.h>
#include <fcntl.h>
#include <elf.h>

typedef struct efl_content
{
	long unsigned int file_size;
	char	*file_path;
	char	*file;
	Elf64_Ehdr	*Ehdr;
	Elf64_Phdr	*Phdr;
	char	*extra_data;
}				t_efl_content;


// utils.c
void	*secure_jump(char *file, unsigned long file_size, unsigned long offset_to_data, unsigned long supposed_data_size);
int		ft_put_error(char *str);

// woody.c
int inject(t_efl_content *woody);

#endif